VERSION 5.00
Begin VB.Form frmOptions 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "Jahreseinstellungen"
   ClientHeight    =   2010
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2535
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2010
   ScaleWidth      =   2535
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox txtEnd 
      Alignment       =   1  'Rechts
      Height          =   315
      Left            =   1500
      MaxLength       =   4
      TabIndex        =   4
      ToolTipText     =   "Letzes Jahr fr die Feiertagsberechnung, hchstens 4099"
      Top             =   720
      Width           =   675
   End
   Begin VB.TextBox txtBegin 
      Alignment       =   1  'Rechts
      Height          =   315
      Left            =   1500
      MaxLength       =   4
      TabIndex        =   2
      ToolTipText     =   "Erstes Jahr fr die Feiertagsberechnung, frhestens 1583"
      Top             =   300
      Width           =   675
   End
   Begin VB.CommandButton btnOk 
      Caption         =   "&Ok"
      Height          =   315
      Left            =   660
      TabIndex        =   0
      Top             =   1620
      Width           =   1095
   End
   Begin VB.Label lblEnd 
      Caption         =   "Letztes Jahr"
      Height          =   255
      Left            =   180
      TabIndex        =   3
      Top             =   780
      Width           =   1035
   End
   Begin VB.Label lblBegin 
      Caption         =   "Erstes Jahr"
      Height          =   255
      Left            =   180
      TabIndex        =   1
      Top             =   360
      Width           =   1035
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim m_YL As cYearLimits

Private Sub btnOk_Click()
   Unload Me
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
'F2 zum Wechsel zwischen Einfge- und berschreibmodus
On Error GoTo Err_
   Dim ctl As Control
   
   If KeyCode <> vbKeyF2 Then Exit Sub
   If Shift <> 0 Then Exit Sub
   
   Set ctl = Screen.ActiveControl
   If TypeOf ctl Is TextBox Then
      With ctl
         If CBool(ctl.SelLength) Then
            .SelStart = Len(.Text)
         Else
            .SelStart = 0
            .SelLength = Len(.Text)
         End If
      End With
   End If
Err_:
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
   If KeyAscii = vbKeyReturn Then
      KeyAscii = 0
      SendKeys "{TAB}"
   End If
End Sub

Private Sub Form_Load()
   Set m_YL = New cYearLimits
   
   txtBegin.Text = m_YL.FirstYear
   txtEnd.Text = m_YL.LastYear
End Sub

Private Sub Form_Unload(Cancel As Integer)
On Error Resume Next
   If m_YL.Changed Then
      m_YL.Update
      frmMain.ShowFirst
   End If
   Set m_YL = Nothing
End Sub

Private Sub txtBegin_DblClick()
On Error Resume Next
   If Val(txtBegin.Text) = m_YL.MinYear Then
      txtBegin.Text = m_YL.StandardLower
   Else
      txtBegin.Text = m_YL.MinYear
   End If
End Sub

Private Sub txtBegin_KeyPress(KeyAscii As Integer)
   If KeyAscii > vbKey9 Then KeyAscii = 0
End Sub

Private Sub txtBegin_Validate(Cancel As Boolean)
On Error Resume Next
   If Not IsNumeric(txtBegin.Text) Then
      Cancel = True
      Exit Sub
   End If
   
   m_YL.FirstYear = Int(txtBegin.Text)
   
   txtBegin.Text = m_YL.FirstYear
End Sub

Private Sub txtEnd_DblClick()
On Error Resume Next
   If Val(txtEnd.Text) = m_YL.MaxYear Then
      txtEnd.Text = m_YL.StandardUpper
   Else
      txtEnd.Text = m_YL.MaxYear
   End If
End Sub

Private Sub txtEnd_KeyPress(KeyAscii As Integer)
   If KeyAscii > vbKey9 Then KeyAscii = 0
End Sub

Private Sub txtEnd_Validate(Cancel As Boolean)
On Error Resume Next
   If Not IsNumeric(txtEnd.Text) Then
      Cancel = True
      Exit Sub
   End If
   
   m_YL.LastYear = Int(txtEnd.Text)
   
   txtEnd.Text = m_YL.LastYear
End Sub
